| Edinburgh Speech Tools Library |
--- | --- | ---
Prev | Chapter 3. Executable Programs | Next

# na_record Audio file recording

## Synopsis

na_record [options] [-h ] [-f `int`] [-time `int`] [-o `ofile`] [-otype `string`] [-F `int`] [-obo `string`] [-oswap ] [-ostype `string`] [-p `string`]

na_record records wavefors from an audio device. It only supports recording for N seconds (default is 10). Specifiying the frequency defines the recording frequency (if supported by the hardward). This currently doesn't support NAS audio in.

## OPTIONS

> -h | options help
> -f | `int` Input sample rate
> -time | `int` Wave length in seconds
> -o | `ofile` Output filename. If not specified output is to stdout.
> -otype | `string` Output file type, (optional). If no type is Specified the type of the input file is assumed. Supported types are: nist, est, esps, snd, riff, aiff, audlab, raw, ascii
> -F | `int` Output sample rate in Hz. If this is different from the input sample rate, resampling will occur
> -obo | `string` Output byte order: MSB, LSB, native, or nonnative. Suns, HP, SGI Mips, M68000 are MSB (big endian) Intel, Alpha, DEC Mips, Vax are LSB (little endian)
> -oswap | Swap bytes when saving to output
> -ostype | `string` Output sample type: short, mulaw, byte or ascii
> -p | `string` audio device protocol. Ths supported types are sunaudio audio_command netaudio

Prev | Home | Next
na_play Audio Playback | Up | wagon CART building program